## org.hibernate.hql.ast.tree
Interface UnaryOperatorNode

All Superinterfaces:
  OperatorNode

All Known Implementing Classes:
  AbstractNullnessCheckNode, IsNotNullLogicOperatorNode, IsNullLogicOperatorNode, UnaryArithmeticNode, UnaryLogicOperatorNode

    public interface UnaryOperatorNode

extends OperatorNode

Contract for nodes representing unary operators.

Author:
  Steve Ebersole

Method Summary
`Node` `getOperand()` Retrievs the node representing the operator's single operand.

Methods inherited from interface org.hibernate.hql.ast.tree.OperatorNode
`getDataType, initialize`

Method Detail

### getOperand

    Node getOperand()

  Retrievs the node representing the operator's single operand.

  Returns:
    The operator's single operand.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.